# Create orders in batches This request creates orders in batches. Batches can contain a maximum of 25 orders per request. Endpoint: POST /batch/orders Version: 6.0 ## Header parameters: - `api-version` (string, required) The version of the API to use. Example: "6" ## Request fields (application/json): - `orders` (array) - `orders.client_identifier` (string, required) The unique identifier for the order, typically coming from the customer's ecommerce Platform or OMS Example: "3fda4c37-6830-469f-b343-9d1a482a97fd" - `orders.channel` (string, required) This is the name of the channel that the inventory available for Drop Shipping has been dispositioned to in the Optoro RMS. The channel name/names will be provided by the implementation team Example: "rts_drop_ship" - `orders.billing_address` (object, required) - `orders.billing_address.name` (string, required) Name for the address. Example: "Lacy Macejkovic" - `orders.billing_address.company` (string) Company name for the address. Example: "Bayer-Abernathy" - `orders.billing_address.telephone_number` (string, required) Telephone number linked to the address. Example: "252-948-6723 12345" - `orders.billing_address.street` (string, required) Street line 1 of the address. Example: "315 5th Ave" - `orders.billing_address.street2` (string) Street line 2 of the address. Example: "Suite 2112" - `orders.billing_address.city` (string, required) City of the address. Example: "New York" - `orders.billing_address.state` (string, required) State of the address. Example: "NY" - `orders.billing_address.zip_code` (string, required) Zip code of the address. Example: "10016" - `orders.billing_address.country` (string) Country of the address. Example: "US" - `orders.shipping_address` (object, required) - `orders.shipping_address.loading_dock` (boolean) Flag to determine whether fork lift is required to deliver package. - `orders.brand` (string, required) Brand name of client that received the order. Example: "acme" - `orders.shipping_method` (string, required) The shipping method to be used on the order. Optoro will search for a shipping method that delivers within the timeframes outlined below * Standard - best rate, no constraint on days * Express - <= 2 days * Overnight - <= 1 days Enum: "STANDARD", "EXPRESS", "OVERNIGHT", "FREIGHT", "PICK-UP" - `orders.price_cents` (integer, required) Price paid in cents for the order. Example: 10000 - `orders.processing_fee_cents` (integer) Processing fee paid in cents for the order. - `orders.tax_cents` (integer, required) Tax paid in cents for the order. Example: 1000 - `orders.shipping_cost_cents` (integer, required) Shipping cost paid in cents for the order. Example: 500 - `orders.shipping_tax_cents` (integer, required) Shipping tax paid in cents for the order. - `orders.comments` (string) Comments regarding the order. Example: "Gift wrap required" - `orders.expected_delivery_date` (string) Expected delivery date of the order. - `orders.signature_required` (boolean) Specifies if a customer signature is required on delivery - `orders.packing_slip_identifier` (string) Packing slip identifier for the order. Example: "1497064" - `orders.order_items` (array, required) Array of order items on the order - `orders.order_items.client_identifier` (string) The order item identifier for the order item, typically coming from the customer's ecommerce platform or OMS Example: "296f0b98-7bc5-4750-8cb9-2e36db1ff766" - `orders.order_items.sku` (string) Item SKU or listing identifier. This will always be listing.identifier Example: "PTBQ121308" - `orders.order_items.brand` (string) The brand name of the order item Example: "acme" - `orders.order_items.condition` (string) The condition code for the order item Example: "N" - `orders.order_items.quantity` (integer) The quantity of the order item Example: 1 - `orders.order_items.price_cents` (integer) The price in cents for the total quantity of the order item Example: 10000 - `orders.order_items.tax_cents` (integer) The tax in cents for the total quantity of the order item Example: 1000 - `orders.order_items.shipping_cost_cents` (integer) The shipping cost paid in cents for the order item Example: 500 - `orders.order_items.shipping_tax_cents` (integer) The shipping tax paid in cents for the order item - `orders.order_items.comments` (string) Comments associated with the order item ## Response 200 fields (application/json): - `client_identifier` (string) Client identifier of the order. Example: "3fda4c37-6830-469f-b343-9d1a482a97fd" - `status` (string) Status of the order Enum: "created", "invalid" - `message` (string,null) Success or error message Example: "created" ## Response 413 fields (application/json): - `message` (string) Optoro response will be 413 code with message if the request is too large. Example: "Request too large. Max allowed batch size 25" ## Response 422 fields (application/json): - `client_identifier` (string) Client identifier of the order. Example: "3fda4c37-6830-469f-b343-9d1a482a97fd" - `status` (string) Status of the order Example: "invalid" - `message` (string) Validation error message Example: "The maximum number of items in an order is 125. Please try again with a smaller number of items" ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 5XX fields